package org.gcube.portlets.user.geoportaldataviewer.shared.products.content;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * The Class WorkspaceContentDV.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 *         Nov 5, 2020
 */
public class WorkspaceContentDV implements IsSerializable, Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3919923007831416696L;

	/** The mimetype. */
	private String mimetype;

	/** The storage ID. */
	private String storageID;

	/** The link. */
	private String link;

	private Long id;

	public WorkspaceContentDV() {

	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getMimetype() {
		return mimetype;
	}

	public void setMimetype(String mimetype) {
		this.mimetype = mimetype;
	}

	public String getStorageID() {
		return storageID;
	}

	public void setStorageID(String storageID) {
		this.storageID = storageID;
	}

	public String getLink() {
		return link;
	}

	public void setLink(String link) {
		this.link = link;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("WorkspaceContentDV [mimetype=");
		builder.append(mimetype);
		builder.append(", storageID=");
		builder.append(storageID);
		builder.append(", link=");
		builder.append(link);
		builder.append(", id=");
		builder.append(id);
		builder.append("]");
		return builder.toString();
	}

	

}
